# $Revision: 1.6 $, $Date: 2004/11/27 19:01:24 $

%define 	module	webunit

Summary:	Website unit/regression testing tool
Summary(pl):	Narzdzie do testowania moduw sieci Web
Name:		python-%{module}
Version:	1.3.8
Release:	1
License:	BSD-like
Group:		Libraries/Python
Source0:	http://www.mechanicalcat.net/tech/webunit/%{module}-%{version}.tar.gz
# Source0-md5:	97b9e6b5149dadce48b86adbf2db3b0a
URL:		http://www.mechanicalcat.net/tech/webunit/
BuildRequires:	python-devel >= 1:2.3
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
webunit test your websites with code that acts like a web browser.

Features in a nutshell:

1. Browser-like page fetching including fetching the images and
   stylesheets needed for a page and following redirects
2. Cookies stored and trackable (all automatically handled)
3. HTTP, HTTPS, GET, POST, basic auth all handled, control over
   expected status codes, ...
4. DOM parsing of pages to retrieve and analyse structure, including
   simple form re-posting
5. Two-line page-fetch followed by form-submit possible, with error
   checking
6. Ability to register error page content across multiple tests
7. Uses python's standard unittest module as the underlying framework

%description -l pl
webunit uywany jest do testowania stron WWW przy pomocy kodu
symulujcego dziaanie przegldarki internetowej.

Cechy webunit:

1. Pobieranie stron WWW symulujce dziaanie przegldarki
   internetowej, pobieranie obrazkw i styli, podanie za
   przekierowaniami.
2. Automatyczna obsuga ciasteczek (cookies).
3. Obsuga protokow HTTP, HTTPS, metod GET, POST, uwierzytelniania,
   kontrola oczekiwanych kodw statusu.
4. Parsowanie struktury DOM stron w celu pobrania i analizy strony,
   take w celu atwego odsyania formularzy.
5. Dwutorowe pobieranie strony koczone wysyk formularza wraz ze
   sprawdzaniem bdw.
6. Moliwo okrelenia zawartoci strony z bdem przy przechodzeniu
   przez kolejne testy.
7. Uycie standardowego moduu pythona unittest jako zasadniczego
   szkieletu testu.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt demo README.txt run_tests
%{py_sitescriptdir}/webunit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-webunit.spec,v $
Revision 1.6  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.5  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.3  2004/05/13 09:21:16  qboosh
- noarch

Revision 1.2  2004/05/12 10:39:45  qboosh
- fixed Group

Revision 1.1  2004/05/10 19:52:23  qboosh
- from Marcin Gajda
